import request from '@/utils/request'

// 查询瑜伽欣赏列表
export function listAppreciate(query) {
  return request({
    url: '/system/appreciate/list',
    method: 'get',
    params: query
  })
}

// 查询瑜伽欣赏详细
export function getAppreciate(id) {
  return request({
    url: '/system/appreciate/' + id,
    method: 'get'
  })
}

// 新增瑜伽欣赏
export function addAppreciate(data) {
  return request({
    url: '/system/appreciate',
    method: 'post',
    data: data
  })
}

// 修改瑜伽欣赏
export function updateAppreciate(data) {
  return request({
    url: '/system/appreciate',
    method: 'put',
    data: data
  })
}

// 删除瑜伽欣赏
export function delAppreciate(id) {
  return request({
    url: '/system/appreciate/' + id,
    method: 'delete'
  })
}
